### Property

# Adw Squeezer:homogeneous

deprecated: 1.4 since: 1

#### Declaration

    property homogeneous: gboolean [ read, write ]

#### Description [src]

Whether all children have the same size for the opposite orientation.

For example, if a squeezer is horizontal and is homogeneous, it will request the same height for all its children. If it isn’t, the squeezer may change size when a different child becomes visible.

Type: | `gboolean`
Available since: | 1
Deprecated since: | 1.4
See the migration guide

Default value | FALSE
Getter method | `adw_squeezer_get_homogeneous()`
Setter method | `adw_squeezer_set_homogeneous()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no